Package org.eclipse.draw2d

# Class DelegatingLayout

java.lang.Object
org.eclipse.draw2d.AbstractLayout
org.eclipse.draw2d.AbstractConstraintLayout
org.eclipse.draw2d.DelegatingLayout

All Implemented Interfaces:
  `LayoutManager`

public class DelegatingLayout extends AbstractConstraintLayout
Figures using a DelegatingLayout as their layout manager give location responsibilities to their children. The children of a Figure using a DelegatingLayout should have a `Locator` as a constraint whose `relocate` method is responsible for placing the child.

## Field Summary

### Fields inherited from class org.eclipse.draw2d.AbstractConstraintLayout

`constraints`

### Fields inherited from class org.eclipse.draw2d.AbstractLayout

`isObservingVisibility, preferredSize`

## Constructor Summary

Constructors
Constructor
Description
`DelegatingLayout()`

## Method Summary

Modifier and Type
Method
Description
`protected Dimension`
`calculatePreferredSize(IFigure parent, int wHint, int hHint)`
Calculates the preferred size of the given Figure.
`void`
`layout(IFigure parent)`
Lays out the given figure's children based on their `Locator` constraint.
`void`
`remove(IFigure child)`
Removes the locator for the given figure.

### Methods inherited from class org.eclipse.draw2d.AbstractConstraintLayout

`getConstraint, setConstraint`

### Methods inherited from class org.eclipse.draw2d.AbstractLayout

`calculatePreferredSize, getBorderPreferredSize, getMinimumSize, getMinimumSize, getPreferredSize, getPreferredSize, invalidate, invalidate, isObservingVisibility, setObserveVisibility`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingLayout

public DelegatingLayout()

## Method Details

### calculatePreferredSize

protected Dimension calculatePreferredSize(IFigure parent, int wHint, int hHint)
Calculates the preferred size of the given Figure. For the DelegatingLayout, this is the largest width and height values of the passed Figure's children.

Specified by:
  `calculatePreferredSize` in class `AbstractLayout`
Parameters:
  `parent` - the figure whose preferred size is being calculated
  `wHint` - the width hint
  `hHint` - the height hint
Returns:
  the preferred size
Since:
  2.0

### layout

public void layout(IFigure parent)
Lays out the given figure's children based on their `Locator` constraint.

Parameters:
  `parent` - the figure whose children should be layed out

### remove

public void remove(IFigure child)
Removes the locator for the given figure.

Specified by:
  `remove` in interface `LayoutManager`
Overrides:
  `remove` in class `AbstractConstraintLayout`
Parameters:
  `child` - the child being removed
See Also:
  - `LayoutManager.remove(IFigure)`